# Constant Field Values

## Contents

- org.codehaus.*

## org.codehaus.*

org.codehaus.plexus.util.FileUtils
Modifier and Type
Constant Field
Value
`public static final int`
`ONE_GB`
`1073741824`
`public static final int`
`ONE_KB`
`1024`
`public static final int`
`ONE_MB`
`1048576`
org.codehaus.plexus.util.LineOrientedInterpolatingReader
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_END_DELIM`
`"}"`
`public static final String`
`DEFAULT_ESCAPE_SEQ`
`"\\"`
`public static final String`
`DEFAULT_START_DELIM`
`"${"`
org.codehaus.plexus.util.Os
Modifier and Type
Constant Field
Value
`public static final String`
`FAMILY_DOS`
`"dos"`
`public static final String`
`FAMILY_MAC`
`"mac"`
`public static final String`
`FAMILY_NETWARE`
`"netware"`
`public static final String`
`FAMILY_OPENVMS`
`"openvms"`
`public static final String`
`FAMILY_OS2`
`"os/2"`
`public static final String`
`FAMILY_OS400`
`"os/400"`
`public static final String`
`FAMILY_TANDEM`
`"tandem"`
`public static final String`
`FAMILY_UNIX`
`"unix"`
`public static final String`
`FAMILY_WIN9X`
`"win9x"`
`public static final String`
`FAMILY_WINDOWS`
`"windows"`
`public static final String`
`FAMILY_ZOS`
`"z/os"`
org.codehaus.plexus.util.ReaderFactory
Modifier and Type
Constant Field
Value
`public static final String`
`ISO_8859_1`
`"ISO-8859-1"`
`public static final String`
`US_ASCII`
`"US-ASCII"`
`public static final String`
`UTF_16`
`"UTF-16"`
`public static final String`
`UTF_16BE`
`"UTF-16BE"`
`public static final String`
`UTF_16LE`
`"UTF-16LE"`
`public static final String`
`UTF_8`
`"UTF-8"`
org.codehaus.plexus.util.SelectorUtils
Modifier and Type
Constant Field
Value
`public static final String`
`ANT_HANDLER_PREFIX`
`"%ant["`
`public static final String`
`PATTERN_HANDLER_PREFIX`
`"["`
`public static final String`
`PATTERN_HANDLER_SUFFIX`
`"]"`
`public static final String`
`REGEX_HANDLER_PREFIX`
`"%regex["`
org.codehaus.plexus.util.WriterFactory
Modifier and Type
Constant Field
Value
`public static final String`
`ISO_8859_1`
`"ISO-8859-1"`
`public static final String`
`US_ASCII`
`"US-ASCII"`
`public static final String`
`UTF_16`
`"UTF-16"`
`public static final String`
`UTF_16BE`
`"UTF-16BE"`
`public static final String`
`UTF_16LE`
`"UTF-16LE"`
`public static final String`
`UTF_8`
`"UTF-8"`

org.codehaus.plexus.util.cli.Commandline
Modifier and Type
Constant Field
Value
`protected static final String`
`OS_NAME`
`"os.name"`
`protected static final String`
`WINDOWS`
`"Windows"`

org.codehaus.plexus.util.xml.XmlUtil
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_INDENTATION_SIZE`
`2`
org.codehaus.plexus.util.xml.XmlWriterUtil
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_COLUMN_LINE`
`80`
`public static final int`
`DEFAULT_INDENTATION_SIZE`
`2`
org.codehaus.plexus.util.xml.Xpp3Dom
Modifier and Type
Constant Field
Value
`public static final String`
`CHILDREN_COMBINATION_APPEND`
`"append"`
`public static final String`
`CHILDREN_COMBINATION_MERGE`
`"merge"`
`public static final String`
`CHILDREN_COMBINATION_MODE_ATTRIBUTE`
`"combine.children"`
`public static final String`
`DEFAULT_CHILDREN_COMBINATION_MODE`
`"merge"`
`public static final String`
`DEFAULT_SELF_COMBINATION_MODE`
`"merge"`
`public static final String`
`SELF_COMBINATION_MERGE`
`"merge"`
`public static final String`
`SELF_COMBINATION_MODE_ATTRIBUTE`
`"combine.self"`
`public static final String`
`SELF_COMBINATION_OVERRIDE`
`"override"`
`public static final String`
`SELF_COMBINATION_REMOVE`
`"remove"`
org.codehaus.plexus.util.xml.Xpp3DomUtils
Modifier and Type
Constant Field
Value
`public static final String`
`CHILDREN_COMBINATION_APPEND`
`"append"`
`public static final String`
`CHILDREN_COMBINATION_MERGE`
`"merge"`
`public static final String`
`CHILDREN_COMBINATION_MODE_ATTRIBUTE`
`"combine.children"`
`public static final String`
`DEFAULT_CHILDREN_COMBINATION_MODE`
`"merge"`
`public static final String`
`DEFAULT_SELF_COMBINATION_MODE`
`"merge"`
`public static final String`
`ID_COMBINATION_MODE_ATTRIBUTE`
`"combine.id"`
`public static final String`
`KEYS_COMBINATION_MODE_ATTRIBUTE`
`"combine.keys"`
`public static final String`
`SELF_COMBINATION_MERGE`
`"merge"`
`public static final String`
`SELF_COMBINATION_MODE_ATTRIBUTE`
`"combine.self"`
`public static final String`
`SELF_COMBINATION_OVERRIDE`
`"override"`

org.codehaus.plexus.util.xml.pull.MXSerializer
Modifier and Type
Constant Field
Value
`protected final String`
`FEATURE_NAMES_INTERNED`
`"http://xmlpull.org/v1/doc/features.html#names-interned"`
`protected final String`
`FEATURE_SERIALIZER_ATTVALUE_USE_APOSTROPHE`
`"http://xmlpull.org/v1/doc/features.html#serializer-attvalue-use-apostrophe"`
`protected static final String`
`PROPERTY_LOCATION`
`"http://xmlpull.org/v1/doc/properties.html#location"`
`protected final String`
`PROPERTY_SERIALIZER_INDENTATION`
`"http://xmlpull.org/v1/doc/properties.html#serializer-indentation"`
`protected final String`
`PROPERTY_SERIALIZER_LINE_SEPARATOR`
`"http://xmlpull.org/v1/doc/properties.html#serializer-line-separator"`
`protected static final String`
`XML_URI`
`"http://www.w3.org/XML/1998/namespace"`
`protected static final String`
`XMLNS_URI`
`"http://www.w3.org/2000/xmlns/"`
org.codehaus.plexus.util.xml.pull.XmlPullParser
Modifier and Type
Constant Field
Value
`public static final int`
`CDSECT`
`5`
`public static final int`
`COMMENT`
`9`
`public static final int`
`DOCDECL`
`10`
`public static final int`
`END_DOCUMENT`
`1`
`public static final int`
`END_TAG`
`3`
`public static final int`
`ENTITY_REF`
`6`
`public static final String`
`FEATURE_PROCESS_DOCDECL`
`"http://xmlpull.org/v1/doc/features.html#process-docdecl"`
`public static final String`
`FEATURE_PROCESS_NAMESPACES`
`"http://xmlpull.org/v1/doc/features.html#process-namespaces"`
`public static final String`
`FEATURE_REPORT_NAMESPACE_ATTRIBUTES`
`"http://xmlpull.org/v1/doc/features.html#report-namespace-prefixes"`
`public static final String`
`FEATURE_VALIDATION`
`"http://xmlpull.org/v1/doc/features.html#validation"`
`public static final int`
`IGNORABLE_WHITESPACE`
`7`
`public static final String`
`NO_NAMESPACE`
`""`
`public static final int`
`PROCESSING_INSTRUCTION`
`8`
`public static final int`
`START_DOCUMENT`
`0`
`public static final int`
`START_TAG`
`2`
`public static final int`
`TEXT`
`4`